From aae902f3eba528e937e56cca08dd3f94bf52c221 Mon Sep 17 00:00:00 2001
From: Thomas Munro <thomas.munro@gmail.com>
Date: Tue, 12 Jul 2022 08:14:40 +1200
Subject: [PATCH 2/2] Doc: Acknowledge historically supported CPUs and OSes.

PostgreSQL/POSTGRES has run on a huge range of CPUs and OSes.  As we're
dropping some of the earliest systems the project was founded on, let's
provide a place to remember them.

Discussion: https://postgr.es/m/959917.1657522169%40sss.pgh.pa.us
---
 doc/src/sgml/installation.sgml | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/doc/src/sgml/installation.sgml b/doc/src/sgml/installation.sgml
index 381b728e08..2aacc233e6 100644
--- a/doc/src/sgml/installation.sgml
+++ b/doc/src/sgml/installation.sgml
@@ -2153,6 +2153,14 @@ export MANPATH
    <email>pgsql-hackers@lists.postgresql.org</email> is the appropriate place
    to discuss that.
   </para>
+
+  <para>
+   Historical versions of <productname>PostgreSQL</productname> or POSTGRES
+   also ran on CPU architectures including Alpha, Itanium, M32R, M68K,
+   M88K, NS32K, SuperH, and VAX, and operating systems including 4.3BSD, BEOS,
+   BSD/OS, DG/UX, Dynix, HP-UX, IRIX, NeXTSTEP, OSF, QNX, SCO, SINIX, Sprite,
+   SunOS, and ULTRIX.
+  </para>
  </sect1>
 
  <sect1 id="installation-platform-notes">
-- 
2.30.2

